=== debian/changelog ===
ros-rolling-fuse-optimizers (1.0.1-2jammy) jammy; urgency=high



 -- Stephen Williams <swilliams@locusrobotics.com>  Fri, 03 Mar 2023 08:00:00 -0000

ros-rolling-fuse-optimizers (1.0.0-2jammy) jammy; urgency=high

  * Use upstream rclcpp::node_interfaces::NodeInterfaces (#313 <https://github.com/locusrobotics/fuse/issues/313>)
    * Use upstream rclcpp::node_interfaces::NodeInterfaces
    * Dereference node arguments to NodeInterfaces
    ---------
    Co-authored-by: methylDragon <methylDragon@gmail.com>
  * fuse -> ROS 2 fuse_optimizers: Linting (#316 <https://github.com/locusrobotics/fuse/issues/316>)
    * Migrate includes
    * Create redirection headers
    * Uncrustify
    * Wrap comments
    * Nitpick
    * cpplint
    * Refinements
    ---------
  * Use rclcpp::Clock::wait_until_started (#303 <https://github.com/locusrobotics/fuse/issues/303>)
  * fuse -> ROS 2 : Doc Generation (#278 <https://github.com/locusrobotics/fuse/issues/278>)
    * Port doc generation and fix package.xml for linting
    * Fix small bugs in package.xml
    * Use default rosdoc2 settings
    * Use default rosdoc2 settings
    * Update fuse_doc for rosdoc2
    ---------
    Co-authored-by: Shane Loretz <mailto:sloretz@google.com>
  * fuse -> ROS 2 fuse_optimizers: Port fuse_optimizers (#307 <https://github.com/locusrobotics/fuse/issues/307>)
    Co-authored-by: Shane Loretz <mailto:sloretz@osrfoundation.org>
    Co-authored-by: Shane Loretz <mailto:shane.loretz@gmail.com>
  * fuse -> ROS 2 fuse_constraints : Linting (#298 <https://github.com/locusrobotics/fuse/issues/298>)
  * fuse -> ROS 2 fuse_graphs: Linting (#297 <https://github.com/locusrobotics/fuse/issues/297>)
  * fuse -> ROS 2 fuse_variables: Linting (#296 <https://github.com/locusrobotics/fuse/issues/296>)
    * Migrate to .hpp files
    * Create redirection headers
    * Make xmllint and uncrustify happy
    * Wrap most comment lines
    * Satisfy cpplint
  * fuse -> ROS 2 fuse_core: Linting (#292 <https://github.com/locusrobotics/fuse/issues/292>)
  * fuse -> ROS 2 fuse_core : Parameters and Tests (#286 <https://github.com/locusrobotics/fuse/issues/286>)
    Co-authored-by: Shane Loretz <mailto:sloretz@osrfoundation.org>
    Co-authored-by: Ivor Wanders <mailto:ivor@iwanders.net>
  * fuse -> ROS 2 fuse_core : Nodes and Waitables (#284 <https://github.com/locusrobotics/fuse/issues/284>)
    Co-authored-by: Brett Downing <mailto:brett@hacodyne.com>
    Co-authored-by: Shane Loretz <mailto:sloretz@osrfoundation.org>
  * fuse -> ROS 2 : Port Time (#283 <https://github.com/locusrobotics/fuse/issues/283>)
  * fuse -> ROS 2 : Port Logging (#279 <https://github.com/locusrobotics/fuse/issues/279>)
    Co-authored-by: Tom Moore <mailto:tmoore@locusrobotics.com>
  * Fuse -> ROS 2 fuse_core: Partial port of fuse_core (#281 <https://github.com/locusrobotics/fuse/issues/281>)
    Co-authored-by: Brett Downing
  * fuse -> ROS 2: Clean up macro usage warnings (#280 <https://github.com/locusrobotics/fuse/issues/280>)
  * fuse -> ROS 2 fuse_msgs : Port package and ignore unported packages for now (#277 <https://github.com/locusrobotics/fuse/issues/277>)
    Co-authored-by: Tom Moore <mailto:tmoore@locusrobotics.com>
  * [RST-4186] Fix fuse macro names (#263 <https://github.com/locusrobotics/fuse/issues/263>)
    * Namespace all macros with the FUSE_ prefix. Mark original macros as deprecated.
    * Update all fuse objects to use the new macro names
  * Adding doxygen to all packages (#241 <https://github.com/locusrobotics/fuse/issues/241>)
  * [RST-3240] Fix how the variables to be marginalized are selected.
  * [RST-3451] Cleaned up condition variable usage
  * Contributors: Shane Loretz, Stephen Williams, Tom Moore, methylDragon

 -- Stephen Williams <swilliams@locusrobotics.com>  Fri, 03 Mar 2023 08:00:00 -0000

ros-rolling-fuse-optimizers (0.4.2-2jammy) jammy; urgency=high

  * Adding roslint dependency to fuse_viz (#231 <https://github.com/locusrobotics/fuse/issues/231>)
    * Adding roslint dependency to fuse_viz
    * Silence CMP0048 warnings
  * Contributors: Tom Moore

 -- Stephen Williams <swilliams@locusrobotics.com>  Tue, 20 Jul 2021 07:00:00 -0000

ros-rolling-fuse-optimizers (0.4.1-2jammy) jammy; urgency=high

  * Improve logs on graph update exception thrown (#227 <https://github.com/locusrobotics/fuse/issues/227>)
    * Catch graph update exceptions and log fatal msg
    When the graph update method throws an exception the node crashes and
    there is no way to know what transaction caused the exception because we
    call notify after successfully updating the graph.
    This catches any exception thrown by the graph update method and logs a
    FATAL message that includes the current graph and the new transaction.
    * Add full stop to exception messages
    This homogenizes the exception messages from all exceptions thrown by
    the HashGraph class.
  * Fix diagnostics typo (#218 <https://github.com/locusrobotics/fuse/issues/218>)
  * Target frame optional (#217 <https://github.com/locusrobotics/fuse/issues/217>)
    * Make target_frame optional
    * Remove optional target_frame parameters in tests
  * Transform message in differential mode (#216 <https://github.com/locusrobotics/fuse/issues/216>)
    * Transform message in differential mode
    This is important because the relative transformation is not the same if
    the sensor and target frame are different.
    Consider for example the case of an IMU sensor upside down:
    * The robot base frame is base_link
    * The IMU sensor frame is imu_link
    * The imu_link transformation wrt base_link is 180 degrees wrt the y or
    x axis
    * The angular velocity around the z axis has opposite sign in the
    sensor frame wrt the target frame
    * Require pose_target_frame in differential mode
    * Roslint
    * Add pose_target_frame to optimizer test config
  * Check empty transaction with empty() method (#210 <https://github.com/locusrobotics/fuse/issues/210>)

